> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Hercle integration.

> Create Hercle integration to configure connectivity and credentials for the Hercle PFI.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/hercle
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/hercle:
    put:
      tags:
        - Integrations Config
      summary: Setup Hercle integration.
      description: >-
        Create Hercle integration to configure connectivity and credentials for
        the Hercle PFI.
      operationId: IntegrationsConfigController_setupHercleIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HercleSetupDto'
      responses:
        '202':
          description: Organization Hercle integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    HercleSetupDto:
      type: object
      properties:
        pfiApiCredentials:
          description: >-
            Optional list of Hercle API credentials to associate with the
            integration.
          type: array
          items:
            $ref: '#/components/schemas/HercleCredentialDto'
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    HercleCredentialDto:
      type: object
      properties:
        identityId:
          type: string
          minLength: 25
          maxLength: 25
          description: Identity id associated with the Hercle credential.
          example: clxxxxxxxxxxxxxxxxxxxxxxx
        apiKey:
          type: string
          minLength: 10
          maxLength: 600
          description: Hercle API key.
        apiSecret:
          type: string
          minLength: 10
          maxLength: 600
          description: Optional Hercle API secret.
      required:
        - identityId
        - apiKey
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````